import 'package:flutter/material.dart';

import '../api/video_api.dart';
import 'preview_grid.dart';
import '../types/actor.dart';

class ActorFeed extends StatefulWidget {
  const ActorFeed({Key? key, required this.actor}) : super(key: key);
  final Actor actor;

  @override
  State<ActorFeed> createState() => _ActorFeedState();
}

class _ActorFeedState extends State<ActorFeed> {
  @override
  Widget build(BuildContext context) {
    return PreviewGrid(
      videoLoader: () => loadVideoByActor(widget.actor),
    );
  }
}
